Update a song group
PATCH /api/song-groups/{id}
PATCH
/api/song-groups/{id}
Optimistic locking via baselineUpdatedAt. If the row has changed since, returns 409 with the current row.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
name
string
songIds
Array<string>
baselineUpdatedAt
string
Responses
Section titled “ Responses ”Updated
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden / no permission
object
ok
required
boolean
error
required
string
code
string
Not found
object
ok
required
boolean
error
required
string
code
string
Conflict — row was modified concurrently
object
ok
required
boolean
error
required
string
code
required
string
serverVersion
Server error
object
ok
required
boolean
error
required
string
code
string